Bug 165638 - Adobe Acrobat Reader doesn't display nested in Firefox 1.0.7
Adobe Acrobat Reader doesn't display nested in Firefox 1.0.7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 19:40 EDT by Matthew Wright
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Wright 2005-08-10 19:40:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
This is a problem where Adobe Acrobat Reader 7 opens in a seperate reader minimised. 

Given that Adobe Acrobat Reader is probably the most used commercial application on linux it is very important that this works seamlessly.

I know that this is not free software and can't be incorporated in core, but what I am asking for is compatability so that, the most installed commercial proprietry bit of software on FC will work without problems.



Version-Release number of selected component (if applicable):
firefox-1.0.6-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install Adobe Acrobat Reader --  wget ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/AdobeReader_enu-7.0.0-2.i386.rpm
2. rpm -ivh AdobeReader_enu-7.0.0-2.i386.rpm
2. goto a http://homepage.powerup.com.au/~squadron/linuxmanual.pdf website (search google for one).
3. You will notice that adobe acrobat starts up and goes minimised in the bottom left hand corner, ie just the name Adobe and the window is shrunk to the title bar 2cm by 1cm (roughly depending on your resolution etc of course)
  

Actual Results:   You will notice that adobe acrobat starts up and goes minimised in the bottom left hand corner, ie just the name Adobe and the window is shrunk to the title bar 2cm by 1cm (roughly depending on your resolution etc of course)

Expected Results:  Adobe Acrobat should load nested inside Firefox 1.0.6
I have fixed this on my FC4 stable box. 



Additional info:

satisfy dependencies
yum install compat-libstdc++-33
run "acroread" and accept the license agreement
vi /etc/mozpluggerrc
In /etc/mozpluggerrc comment out the pdf section with "#"s so that it looks like this
#######################
###application/pdf: pdf: PDF file
###application/x-pdf: pdf: PDF file
###text/pdf: pdf: PDF file
###text/x-pdf: pdf: PDF file
###	repeat swallow(documentShell) fill: acroread -geometry +9000+9000 +useFrontEndProgram "$file"
###	repeat noisy swallow(Xpdf) fill: xpdf -g +9000+9000 "$file"
###	repeat noisy swallow(gv) fill: gv -safer -quiet -antialias -geometry +9000+9000 "$file"
#######################

save :wq!

then
ln -s /usr/local/Adobe/Acrobat7.0/Browser/intellinux/nppdf.so /usr/lib/mozilla/plugins

then 
rm pluginreg.dat in each users home directory.

Test with http://homepage.powerup.com.au/~squadron/linuxmanual.pdf
Comment 1 Matthew Wright 2005-10-09 05:31:15 EDT
Same applys for Firefox 1.0.6
Comment 2 Matthew Wright 2005-10-09 05:32:02 EDT
I mean Same Applys for Firefox 1.0.7
Comment 3 Christian Iseli 2007-01-22 05:42:41 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Matěj Cepl 2007-07-18 13:22:28 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-08-28 10:39:08 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.